=== debian/changelog ===
r-cran-rinside (0.2.13-1) unstable; urgency=low

  [ Dirk Eddelbuettel ]
  * Initial Debian release 				(Closes: #797575)

  [ Jonathon Love ]
  * Initial packaging. 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 03 Sep 2015 20:22:38 -0500
