=== debian/control ===
Source: r-cran-rinside
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.2.2), cdbs, r-cran-rcpp (>= 0.11.0)
Standards-Version: 3.9.6
Homepage: http://dirk.eddelbuettel.com/code/rinside.html

Package: r-cran-rinside
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-rcpp
Description: GNU R package to embed R in C++ application
 The 'RInside' packages makes it easier to have "R inside" your C++
 application by providing a C++ wrapper class providing the R
 interpreter.
 .
 As R itself is embedded into your application, a shared library build
 of R is required. This works on Linux, OS X and even on Windows
 provided you use the same tools used to build R itself.
 .
 Numerous examples are provided in the eight subdirectories of the
 examples/ directory of the installed package: standard, mpi (for
 parallel computing) qt (showing how to embed 'RInside' inside a Qt
 GUI application), wt (showing how to build a "web-application" using
 the Wt toolkit), armadillo (for 'RInside' use with 'RcppArmadillo')
 and eigen (for 'RInside' use with 'RcppEigen').  The example use
 GNUmakefile(s) with GNU extensions, so a GNU make is required (and
 will use the GNUmakefile automatically).
 .
 Doxygen-generated documentation of the C++ classes is available at
 the 'RInside' website as well.
