=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-rinside package
# Copyright 2003 - 2015 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/R/debian/r-cran.mk
