=== debian/changelog ===
r-cran-rinside (0.2.14-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 28 Sep 2017 08:16:24 +0000

r-cran-rinside (0.2.14-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 05 May 2017 20:51:28 -0500
