=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.2.2), cdbs, r-cran-rcpp (>= 0.11.0)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.0), cdbs, r-cran-rcpp (>= 0.11.0)
+Standards-Version: 3.9.8
 Homepage: http://dirk.eddelbuettel.com/code/rinside.html
 
 Package: r-cran-rinside
