=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.0), cdbs, r-cran-rcpp (>= 0.11.0)
-Standards-Version: 3.9.8
-Homepage: http://dirk.eddelbuettel.com/code/rinside.html
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.6.1), dh-r, r-cran-rcpp (>= 0.11.0)
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/edd/r-cran-rinside
+Vcs-Git: https://salsa.debian.org/edd/r-cran-rinside.git
+Homepage: https://cran.r-project.org/package=RInside
 
 Package: r-cran-rinside
 Architecture: any
