## r-cran-rinside 0.2.16

=== DESCRIPTION ===
Package: RInside
Title: C++ Classes to Embed R in C++ (and C) Applications
Version: 0.2.16
Date: 2020-03-12
Author: Dirk Eddelbuettel, Romain Francois, and Lance Bachmeier
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: C++ classes to embed R in C++ (and C) applications
 A C++ class providing the R interpreter is offered by this package
 making it easier to have "R inside" your C++ application. As R itself
 is embedded into your application, a shared library build of R is
 required. This works on Linux, OS X and even on Windows provided you
 use the same tools used to build R itself. Numerous examples are
 provided in the nine subdirectories of the examples/ directory of
 the installed package: standard, 'mpi' (for parallel computing), 'qt'
 (showing how to embed 'RInside' inside a Qt GUI application), 'wt'
 (showing how to build a "web-application" using the Wt toolkit),
 'armadillo' (for 'RInside' use with 'RcppArmadillo'), 'eigen' (for
 'RInside' use with 'RcppEigen'), and 'c_interface' for a basic C
 interface and 'Ruby' illustration.  The examples use 'GNUmakefile(s)'
 with GNU extensions, so a GNU make is required (and will use the
 'GNUmakefile' automatically). 'Doxygen'-generated documentation of
 the C++ classes is available at the 'RInside' website as well.
Imports: Rcpp
LinkingTo: Rcpp
URL: http://dirk.eddelbuettel.com/code/rinside.html
License: GPL (>= 2)
BugReports: https://github.com/eddelbuettel/rinside/issues
MailingList: Please send questions and comments regarding RInside to
        rcpp-devel@lists.r-forge.r-project.org
NeedsCompilation: yes
Packaged: 2020-03-12 12:21:27.111341 UTC; edd
Repository: CRAN
Date/Publication: 2020-03-12 15:10:02 UTC
