## r-cran-rinside 0.2.17

=== debian/changelog ===
r-cran-rinside (0.2.17-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 01 Apr 2022 15:21:40 -0500
