=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/RInside_([-\d\.]*)\.tar.gz
