## r-cran-rinside 0.2.19

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Package: RInside
 Title: C++ Classes to Embed R in C++ (and C) Applications
-Version: 0.2.16
-Date: 2020-03-12
-Author: Dirk Eddelbuettel, Romain Francois, and Lance Bachmeier
-Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Version: 0.2.19
+Date: 2025-04-22
+Authors@R: c(person("Dirk", "Eddelbuettel", role = c("aut", "cre"), email = "edd@debian.org",
+                    comment = c(ORCID = "0000-0001-6419-907X")),
+             person("Romain", "Francois", role = "aut",
+                    comment = c(ORCID = "0000-0002-2444-4226")),
+             person("Lance", "Bachmeier", role = "ctb"))
 Description: C++ classes to embed R in C++ (and C) applications
  A C++ class providing the R interpreter is offered by this package
  making it easier to have "R inside" your C++ application. As R itself
@@ -22,12 +25,17 @@
  the C++ classes is available at the 'RInside' website as well.
 Imports: Rcpp
 LinkingTo: Rcpp
-URL: http://dirk.eddelbuettel.com/code/rinside.html
+URL: https://github.com/eddelbuettel/rinside/,
+        https://dirk.eddelbuettel.com/code/rinside.html
 License: GPL (>= 2)
 BugReports: https://github.com/eddelbuettel/rinside/issues
 MailingList: Please send questions and comments regarding RInside to
         rcpp-devel@lists.r-forge.r-project.org
 NeedsCompilation: yes
-Packaged: 2020-03-12 12:21:27.111341 UTC; edd
+Packaged: 2025-04-22 21:58:05 UTC; edd
+Author: Dirk Eddelbuettel [aut, cre] (<https://orcid.org/0000-0001-6419-907X>),
+  Romain Francois [aut] (<https://orcid.org/0000-0002-2444-4226>),
+  Lance Bachmeier [ctb]
+Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Repository: CRAN
-Date/Publication: 2020-03-12 15:10:02 UTC
+Date/Publication: 2025-04-22 23:20:02 UTC
